curl -X POST "https://us.api.bland.ai/v1/custom-dialing-pools/550e8400-e29b-41d4-a716-446655440001/update" \
-H "Authorization: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"phone_numbers": ["+12345678901", "+19876543210", "+15551234567", "+17775551234"],
"encrypted_key": "550e8400-e29b-41d4-a716-446655440000"
}'
const poolId = '550e8400-e29b-41d4-a716-446655440001';
const response = await fetch(`https://us.api.bland.ai/v1/custom-dialing-pools/${poolId}/update`, {
method: 'POST',
headers: {
'Authorization': 'YOUR_API_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({
phone_numbers: ['+12345678901', '+19876543210', '+15551234567', '+17775551234'],
encrypted_key: '550e8400-e29b-41d4-a716-446655440000'
})
});
const data = await response.json();
console.log(data);
import requests
pool_id = "550e8400-e29b-41d4-a716-446655440001"
url = f"https://us.api.bland.ai/v1/custom-dialing-pools/{pool_id}/update"
headers = {
"Authorization": "YOUR_API_KEY",
"Content-Type": "application/json"
}
data = {
"phone_numbers": ["+12345678901", "+19876543210", "+15551234567", "+17775551234"],
"encrypted_key": "550e8400-e29b-41d4-a716-446655440000"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
{
"status": "success",
"data": {
"id": "550e8400-e29b-41d4-a716-446655440001",
"owner_id": "550e8400-e29b-41d4-a716-446655440002",
"phone_numbers": ["+12345678901", "+19876543210", "+15551234567", "+17775551234"],
"encrypted_key": "550e8400-e29b-41d4-a716-446655440000",
"created_at": "2024-01-15T10:30:00Z"
},
"errors": null
}
{
"status": "error",
"data": null,
"errors": [
{
"error": "POOL_NOT_FOUND",
"message": "Geospatial dialing pool not found"
}
]
}
{
"status": "error",
"data": null,
"errors": [
{
"error": "INVALID_PHONE_NUMBERS",
"message": "All phone numbers must be valid US numbers with +1 prefix"
}
]
}
{
"status": "error",
"data": null,
"errors": [
{
"error": "INVALID_CREDENTIALS",
"message": "Twilio credentials not found or do not belong to your account"
}
]
}
Custom Dialing Pools
Update Custom Dialing Pool
Update an existing custom dialing pool with new phone numbers or credentials.
POST
/
v1
/
custom-dialing-pools
/
{pool_id}
/
update
curl -X POST "https://us.api.bland.ai/v1/custom-dialing-pools/550e8400-e29b-41d4-a716-446655440001/update" \
-H "Authorization: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"phone_numbers": ["+12345678901", "+19876543210", "+15551234567", "+17775551234"],
"encrypted_key": "550e8400-e29b-41d4-a716-446655440000"
}'
const poolId = '550e8400-e29b-41d4-a716-446655440001';
const response = await fetch(`https://us.api.bland.ai/v1/custom-dialing-pools/${poolId}/update`, {
method: 'POST',
headers: {
'Authorization': 'YOUR_API_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({
phone_numbers: ['+12345678901', '+19876543210', '+15551234567', '+17775551234'],
encrypted_key: '550e8400-e29b-41d4-a716-446655440000'
})
});
const data = await response.json();
console.log(data);
import requests
pool_id = "550e8400-e29b-41d4-a716-446655440001"
url = f"https://us.api.bland.ai/v1/custom-dialing-pools/{pool_id}/update"
headers = {
"Authorization": "YOUR_API_KEY",
"Content-Type": "application/json"
}
data = {
"phone_numbers": ["+12345678901", "+19876543210", "+15551234567", "+17775551234"],
"encrypted_key": "550e8400-e29b-41d4-a716-446655440000"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
{
"status": "success",
"data": {
"id": "550e8400-e29b-41d4-a716-446655440001",
"owner_id": "550e8400-e29b-41d4-a716-446655440002",
"phone_numbers": ["+12345678901", "+19876543210", "+15551234567", "+17775551234"],
"encrypted_key": "550e8400-e29b-41d4-a716-446655440000",
"created_at": "2024-01-15T10:30:00Z"
},
"errors": null
}
{
"status": "error",
"data": null,
"errors": [
{
"error": "POOL_NOT_FOUND",
"message": "Geospatial dialing pool not found"
}
]
}
{
"status": "error",
"data": null,
"errors": [
{
"error": "INVALID_PHONE_NUMBERS",
"message": "All phone numbers must be valid US numbers with +1 prefix"
}
]
}
{
"status": "error",
"data": null,
"errors": [
{
"error": "INVALID_CREDENTIALS",
"message": "Twilio credentials not found or do not belong to your account"
}
]
}
Enterprise Feature - Custom dialing is only available on Enterprise plans. Contact your Bland representative for access.
Headers
string
required
Your API key for authentication.
Path Parameters
string
required
The unique identifier of the custom dialing pool to update.Format: UUID format (e.g.,
550e8400-e29b-41d4-a716-446655440000)Body
array
required
Array of phone numbers to replace the existing numbers in the pool. All numbers must be valid US phone numbers with +1 prefix.Format: Each phone number must be exactly 12 characters:
+1 followed by 10 digits.Example: ["+12345678901", "+19876543210"]This will completely replace all existing phone numbers in the pool. Any numbers not included in this array will be removed.
string
Optional UUID of Twilio credentials to associate with this pool. If provided, must be valid credentials that belong to your account. To remove credentials, pass
null.Format: UUID format (e.g., 550e8400-e29b-41d4-a716-446655440000) or nullLearn more about BYOT here.Response
string
Can be
success or error.object
The updated custom dialing pool object (present only if status is
success).array
curl -X POST "https://us.api.bland.ai/v1/custom-dialing-pools/550e8400-e29b-41d4-a716-446655440001/update" \
-H "Authorization: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"phone_numbers": ["+12345678901", "+19876543210", "+15551234567", "+17775551234"],
"encrypted_key": "550e8400-e29b-41d4-a716-446655440000"
}'
const poolId = '550e8400-e29b-41d4-a716-446655440001';
const response = await fetch(`https://us.api.bland.ai/v1/custom-dialing-pools/${poolId}/update`, {
method: 'POST',
headers: {
'Authorization': 'YOUR_API_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({
phone_numbers: ['+12345678901', '+19876543210', '+15551234567', '+17775551234'],
encrypted_key: '550e8400-e29b-41d4-a716-446655440000'
})
});
const data = await response.json();
console.log(data);
import requests
pool_id = "550e8400-e29b-41d4-a716-446655440001"
url = f"https://us.api.bland.ai/v1/custom-dialing-pools/{pool_id}/update"
headers = {
"Authorization": "YOUR_API_KEY",
"Content-Type": "application/json"
}
data = {
"phone_numbers": ["+12345678901", "+19876543210", "+15551234567", "+17775551234"],
"encrypted_key": "550e8400-e29b-41d4-a716-446655440000"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
{
"status": "success",
"data": {
"id": "550e8400-e29b-41d4-a716-446655440001",
"owner_id": "550e8400-e29b-41d4-a716-446655440002",
"phone_numbers": ["+12345678901", "+19876543210", "+15551234567", "+17775551234"],
"encrypted_key": "550e8400-e29b-41d4-a716-446655440000",
"created_at": "2024-01-15T10:30:00Z"
},
"errors": null
}
{
"status": "error",
"data": null,
"errors": [
{
"error": "POOL_NOT_FOUND",
"message": "Geospatial dialing pool not found"
}
]
}
{
"status": "error",
"data": null,
"errors": [
{
"error": "INVALID_PHONE_NUMBERS",
"message": "All phone numbers must be valid US numbers with +1 prefix"
}
]
}
{
"status": "error",
"data": null,
"errors": [
{
"error": "INVALID_CREDENTIALS",
"message": "Twilio credentials not found or do not belong to your account"
}
]
}
Removing Credentials
To remove Twilio credentials from a pool, setencrypted_key to null:
{
"phone_numbers": ["+12345678901", "+19876543210"],
"encrypted_key": null
}
Docs for agents: llms.txt
Was this page helpful?